Create User Offboarding

Trigger or schedule an offboarding for an identity. Omit scheduled_at to run immediately, or provide a future datetime to schedule it. Omit workflow_config_id to use the offboarding workflow configuration your organization has selected for automatic offboarding.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The UUID of the identity to offboard.

When to run the offboarding, as an ISO 8601 datetime. Omit to trigger the offboarding immediately; provide a future datetime to schedule it.

The UUID of the offboarding workflow configuration to run. Omit to use the configuration your organization has selected for automatic offboarding. This field is only accepted for organizations with the multiple offboarding workflows feature; a request that includes it is rejected otherwise.

Responses

400

The target identity is not a source-of-truth identity, or scheduled_at is in the past.

403

The caller lacks permission for this operation.

404

No identity exists with the given user_id, or no offboarding workflow configuration exists with the given workflow_config_id, in the caller's domain.

409

An offboarding is already scheduled or in progress for this identity.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json